Summary: AfterStep Window Manager
Name: AfterStep
Version: 1.5
Release: 0.7
Copyright: GPL
Group: X11/Window Managers
Source0: ftp://ftp.the-site.dyn.ml.org/pub/Linux/AfterStep/devel/AfterStep-1.5beta4.tar.gz
Source1: AfterStep-redhat.tar.gz
Patch1: 1.5beta4-01-makoto-i18n_and_xlocale.patch.gz
Patch2: 1.5beta4-02-allanon-shade_and_dmb3.patch.gz
Patch3: 1.5beta4-03-allanon-stuff.patch.gz
Patch4: 1.5beta4-04-mihm-8bpp_icons_new_look.patch.gz
Patch5: 1.5beta4-05-sasha-new_pager.patch.gz
Patch6: AfterStep-1.5beta4-dirs.patch
Patch100: AfterStep-1.5-paths.patch
BuildRoot: /var/tmp/afterstep-root
Prereq: /sbin/ldconfig
Requires: wmconfig >= 0.3, xinitrc >= 1.4, xterm-color
Requires: AfterStep-APPS

%description
AfterStep is a continuation of the BowMan window manager which was
originally put together by Bo Yang. BowMan was based on the fvwm window
manager, written by Robert Nation. Fvwm was based on code from twm. And so
on... It was originally designed to emulate some of the look and feel of the
NEXTSTEP user interface, but has since taken steps towards adding more
useful, requested, and neat features especially in 1.4 version ! The changes
which comprise AfterStep's personality were originally part of bowman
development, but due to a desire to move past simple emulation and into a
niche as its own valuable window manager, AfterStep designers decided to
change the project name and move on.

Important features of AfterStep include:

1. Wharf: a free-floating application loader which can "Swallow" running
programs and also can contain "Folders" of more applications.
2. Gradient filled TitleBars with 5 button : help/zap, action/tasks,
iconize/maximise, shade/stick & close/destroy buttons
3. Gradient filled root window PopUp menus which can be configured to
accomodate different tastes and styles of management
4. NEXTSTEP style icons which give a consistent look to the entire desktop
5. Pixmapped Pager with desktop pixmmaping
6. Easy to use look files, to share you desktop appearance with your friends
7. Start menu entries in a hierarchy of directories
8. WinList : a tasklist which can be horizontal or vertical
9. Many modules & asapps to give a good look to your X window station

%prep
%setup -n AfterStep-1.5beta4 -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1 -b .dirs

%patch100 -p1 -b .paths
rm -rf afterstep/start
tar xzf $RPM_SOURCE_DIR/AfterStep-redhat.tar.gz

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr/X11R6 --datadir=/usr/share \
	--with-imageloader="xv -root -quit" \
	--with-helpcommand="xterm -e man" \
	--with-desktops=1 \
	--with-deskgeometry=2x3 \
	--disable-availability \
	--enable-fixeditems  --enable-makemenusonboot \
	--with-xpm
make
sgml2html doc/afterstep.sgml

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/{bin,man/man1}
make install.all install install.man DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT/usr/X11R6/bin/{sessreg,xpmroot}
	
%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
/usr/X11R6/bin/*
/usr/share/afterstep
%doc doc/code doc/languages doc/licences  README *.html TODO
/usr/X11R6/man/*/*

%changelog
* Tue Oct 13 1998 Cristian Gafton <gafton@redhat.com>
- Fixed problem with the Feels menu showing the bacjkground change entries

* Wed Sep 16 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 1.5
- requires AfterStep-APPS for the cool dockable applications

* Thu May 07 1998 Cristian Gafton <gafton@redhat.com>
- 1.4.5.3 is out
- wmconfig hacks
- can start AnotherLevel

* Fri Apr 17 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 1.4.5.1
- went through the sources and fixed some of the bugs

* Fri Mar 27 1998 Cristian Gafton <gafton@redhat.com>
- packaged 1.4.4 with a patch to better support BuildRoot.

